### Method

# ECal ReminderWatcher describe_data

since: 3.30

#### Declaration [src]

    gchar*
    e_reminder_watcher_describe_data (
      EReminderWatcher* watcher,
      const EReminderData* rd,
      guint32 flags
    )

#### Description [src]

Returns a new string with a text description of the `rd`. The text format can be influenced with `flags`.

Free the returned string with g_free(), when no longer needed.

Available since: 3.30

#### Parameters

`rd`

  Type: `EReminderData`

  An `EReminderData`.

  The data is owned by the caller of the method.

`flags`

  Type: `guint32`

  Bit-or of `EReminderWatcherDescribeFlags`.

#### Return value

Type: `gchar*`

A new string with a text description of the `rd`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.